GCLI-PIPELINES(1)

NAME
gcli pipelines - Inspect and manage CI Services

SYNOPSIS
gcli pipelines [forge-path] [-n n] [-o owner -r repo] [-a]
gcli pipelines [forge-path] -p pipeline-id [-o owner -r repo] pipeline-actions...
gcli pipelines -j job-id [-o owner -r repo] job-actions...

DESCRIPTION
gcli pipelines is used to display data about the Continuous Integration (CI) service of git forges. You can list pipelines of a given repository, list jobs in a given pipeline or perform actions such as restarting jobs or fetching their logs.

If you have set ‘restrict-pipelines-to-branch’ in the ‘defaults’ section of your gcli(5) config file, gcli pipelines will only list pipelines for the currently checked out branch unless the -a flag has been specified.

OPTIONS

-o, --owner owner
    Operate on the repository of the given owner. This option can only be used in combination with -r.

-r, --repo repo
    Operate on the given repository. This option can only be used in combination with -o.

-n, --count n
    Fetch at least n items. Setting n to -1 will fetch all items. Default: 30. Note that on large repositories fetching all items can take a considerable amount of time and may result in rate limiting by the GitLab API.

-p, --pipeline pipeline-id
    Execute the given actions for the specified pipeline-id.

-j, --job job
    execute the given actions for the specified job.

-a, --all
    Do not restrict the pipelines list to pipelines running on the current branch. This option only applies if you have enabled ‘restrict-pipelines-to-branch’ inside the ‘defaults’ section of gcli(5).

ACTIONS
job-actions... may be one or more of the following:

log Dump the log of the job.

status
    Print a short summary of the job.

cancel
    Cancel the job.

retry
    Retry the job.

artifacts [-o outfile]
    Download the artifacts archive as a zip to disk. The default output file is artifacts.zip but it can be overridden by using the -o flag.

pipeline-actions... may be one or more of the following:

all Print a summary with all information about the pipeline.

status
    Print a short status summary of the pipeline.

jobs
    Print a list of jobs running in the pipeline.

children
    Print a list of child pipelines triggered by this pipeline.

open
    Opens the pipeline in a web browser.

monitor [-d secs]
    Continuously monitor the jobs of this pipeline. This presents a view of the jobs list that is refreshed live. The action exits once the pipeline has completed.

    This action requires an xterm(1) compatible terminal emulator because control characters are printed to stdout.

    The refresh interval can be configured via the “monitor-delay” option in the “defaults” section of the gcli(5) config file. Alternatively you can override the delay by passing it via the -d flag. The command line flag takes prescendence over the config file.

EXAMPLES
Print a list of the last 30 pipelines in the current project:

    $ gcli pipelines

When ‘restrict-pipelines-to-branch’ is set and you are on the ‘foobar’ branch which is up-to-date with ‘origin/foobar’ then gcli pipelines will give you all pipelines that ran on the ‘foobar’ branch.

Print a summary of pipeline 420:

    $ gcli pipelines -p 420 all

List only jobs of pipeline #3316:

    $ gcli pipelines -p3316 jobs

Dump the log of Job #423141 in herrhotzenplotz/gcli:

    $ gcli pipelines -o herrhotzenplotz -r gcli -j 423141 log

List pipelines in herrhotzenplotz/gcli using the forge path shorthand:

    $ gcli pipelines gl:herrhotzenplotz/gcli

SEE ALSO
git(1), gcli(1)

AUTHORS
Nico Sonack aka. herrhotzenplotz <nsonack@herrhotzenplotz.de> and contributors.

BUGS

•   The interface has been modelled after the GitLab CI service. GitHub behaves differently in some cases.

•   The command gcli pipelines -a only fetches checks for the HEAD ref on GitHub.

Please report bugs via E-Mail to https://lists.sr.ht/~herrhotzenplotz/gcli-discuss.

Alternatively you can report them on any of the forges linked at https://sr.ht/~herrhotzenplotz/gcli. However, the preferred and quickest method is to use the mailing list.